package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawUcardpayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String realName;
    @JSONField(ordinal = 10)
    private BigDecimal amount;


    private Map<String, String> withdrawCurrencySelect;
    private Map<String, String> fiatCurrencySelect;

    public FinanceWithdrawUcardpayDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("realName", "姓名");
        params.put("amount", "金额");

        paramsEn.put("realName", "realName");
        paramsEn.put("amount", "amount");


    }
}
